
package de.ivu.elect.interfaces.was.wahlbeteiligung;

import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class WahlbeteiligungAuswertungReferenz implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private Date datum;

  public WahlbeteiligungAuswertungReferenz() {
    super();
  }

  public WahlbeteiligungAuswertungReferenz(Date datum) {
    this.setDatum(datum);
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;

    WahlbeteiligungAuswertungReferenz that = (WahlbeteiligungAuswertungReferenz) o;

    return Objects.equals(getDatum(), that.getDatum());
  }

  @Override
  public int hashCode() {
    return Objects.hashCode(getDatum());
  }

  @Override
  public String toString() {
    return "WahlbeteiligungAuswertungReferenz{" + "datum='" + getDatum() + "'}";
  }

  public Date getDatum() {
    return datum;
  }

  public void setDatum(Date datum) {
    this.datum = datum;
  }
}
